Forum: Rails-ES Error con gettext

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Cdd8fa66d9bb576ed627c41911856cb1?d=identicon&s=25 Fernandez Santos (aitor)
on 2007-07-19 16:17
Hola,

iba a cacharrear un poco con gettext pero no he consigo pasar de la
instalación :-(

lo intento instalar con  gem install gettext y me arroja el siguiente
error

Building native extensions.  This could take a while...
ERROR:  While executing gem ... (Gem::Installer::ExtensionBuildError)
ERROR: Failed to build gem native extension.

ruby extconf.rb install gettext
checking for setlocale()... no
checking for nl_langinfo()... no
creating Makefile

make
sh: line 1: make: command not found

me puede alguien aconsejar como instalarlo?

Muchas gracias.
Un saludo.
1e0fce0b6a4bc9b682b67b4d7b43b17b?d=identicon&s=25 Rafael García (rafa)
on 2007-07-19 16:46
(Received via mailing list)
Da la impresión de que no tienes make, si usas alguna distribución
basada en Debian o Debian lo solucionas instalando el paquete
build-essential.

Saludos!


Fernandez Santos escribió:
> ERROR: Failed to build gem native extension.
>
> Muchas gracias.
> Un saludo.
>
>

--
Rafael Garcia Ortega

Prueba gratis nuestro nuevo producto GASTOSgem
(http://www.gastosgem.com)
Cdd8fa66d9bb576ed627c41911856cb1?d=identicon&s=25 Fernandez Santos (aitor)
on 2007-07-19 17:11
> Da la impresión de que no tienes make, si usas alguna distribución
> basada en Debian o Debian lo solucionas instalando el paquete
> build-essential.

toy usando mac osx con un terminal abierto desde locomotive.

Gracias de todas formas, voy a seguir googleando.

Un saludo.
7223c62b7310e164eb79c740188abbda?d=identicon&s=25 Xavier Noria (Guest)
on 2007-07-19 17:25
(Received via mailing list)
El Jul 19, 2007, a las 5:11 PM, Fernandez Santos
escribió:
>> Da la impresión de que no tienes make, si usas alguna distribución
>> basada en Debian o Debian lo solucionas instalando el paquete
>> build-essential.
>
> toy usando mac osx con un terminal abierto desde locomotive.
>
> Gracias de todas formas, voy a seguir googleando.

En Mac has de instalar las Development Tools. En el DVD de
instalacion encontraras un package llamado algo parecido a "Xcode",
es suficiente doble-click y seguir los wizards.

-- fxn
348246701cfdb2130b842fd839751a18?d=identicon&s=25 Raul Murciano (raul)
on 2007-07-19 17:29
(Received via mailing list)
Fernandez Santos escribió:
>> Da la impresión de que no tienes make, si usas alguna distribución
>> basada en Debian o Debian lo solucionas instalando el paquete
>> build-essential.
>
> toy usando mac osx con un terminal abierto desde locomotive.

¿Tienes instalado Xcode? Puedes instalarlo desde los discos de
instalación de macosx o descargarlo desde la web de apple:
   http://developer.apple.com/tools/xcode/

Saludos,
   Raul Murciano
Cdd8fa66d9bb576ed627c41911856cb1?d=identicon&s=25 Fernandez Santos (aitor)
on 2007-07-19 18:17
Seré cabezón, ya es la segunda vez que me pasa algo parecido.

Muchas gracias a ambos por la colleja.

Un saludo
This topic is locked and can not be replied to.